class SecondThread implements Runnable 
{
    Thread thread;

    SecondThread() 
    {
        thread = new Thread(this, "second");
        System.out.println("Starting second thread");
        thread.start(); 
    }

    public void run() 
    {
        try {
            for(int loop_index = 0; loop_index < 10; loop_index++) {
                System.out.println((Thread.currentThread()).getName() 
                    + " thread here...");
                Thread.sleep(1000);
            }
        } catch (InterruptedException e) {}

        System.out.println("Second thread ending.");
    }
}

class runnable 
{
    public static void main(String args[]) 
    {
        SecondThread secondthread = new SecondThread(); 

        try {
            for(int loop_index = 0; loop_index < 10; loop_index++) {
                System.out.println((Thread.currentThread()).getName() 
                    + " thread here...");
                Thread.sleep(1000);
            }
        } catch (InterruptedException e) {}
    }
}
